# GimpUi.prop_color_select_new

    function prop_color_select_new(config: GObject.Object, property_name: String, width: Number(gint), height: Number(gint), type: GimpUi.ColorAreaType): Gtk.Widget {
        // Gjs wrapper for gimp_prop_color_select_new()
    }

Creates a GimpUi.ColorButton to set and display the value of a color property.

Since 3.0

config

  Object to which property is attached.

property_name

  Name of [class@Gegl.Color] property.

width

  Width of the colorpreview in pixels.

height

  Height of the colorpreview in pixels.

type

  How transparency is represented.

Returns

  A new GimpUi.ColorButton widget.